---
updatedAt: 2025-05-20T21:54:21.000Z
agentTools:
  projectIndex: https://shop-and-pay.readme.io/llms.txt
---

# Delete a Design

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.shop-and-pay.com/v1.0"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/Design/{uuid}/": {
      "delete": {
        "summary": "Delete a Design",
        "description": "",
        "operationId": "delete-a-design",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "description": "UUID of design to delete",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "instance",
            "in": "query",
            "description": "Your Shop & Pay instance name",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Raw": {
                    "value": "{\n    \"status\": \"success\",\n    \"data\": [\n        {\n            \"uuid\": \"f45aff72\"\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "uuid": {
                            "type": "string",
                            "example": "f45aff72"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "apiSignature=`echo -n \"\" | openssl dgst -sha256 -hmac \"INSTANCE_API_SECRET\" -binary | openssl enc -base64`\ncurl --request DELETE \"https://api.shop-and-pay.com/v1.0/Design/1/?instance=INSTANCE_NAME\" --data-urlencode \"ApiSignature=$apiSignature\""
            },
            {
              "language": "php",
              "code": "<?php\n\nuse Shopandpay\\Models\\Request\\Design;\nuse Shopandpay\\Shopandpay;\nuse Shopandpay\\ShopandpayException;\n\nspl_autoload_register(function ($class) {\n    $root = dirname(__DIR__);\n    $classFile = $root . '/lib/' . str_replace('\\\\', '/', $class) . '.php';\n    if (file_exists($classFile)) {\n        require_once $classFile;\n    }\n});\n\n// $instanceName is a part of the url where you access your shopandpay installation.\n// https://{$instanceName}.shop-and-pay.com\n$instanceName = 'YOUR_INSTANCE_NAME';\n\n// $secret is the shopandpay secret for the communication between the applications\n// if you think someone got your secret, just regenerate it in the shopandpay administration\n$secret = 'YOUR_SECRET';\n\n$shopandpay = new Shopandpay($instanceName, $secret);\n\n$design = new Design();\n$design->setId(1);\n\ntry {\n    $response = $shopandpay->delete($design);\n    var_dump($response);\n} catch (ShopandpayException $e) {\n    print $e->getMessage();\n}\n"
            }
          ],
          "samples-languages": [
            "curl",
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```